# List account history

Retrieve history records for all domains assigned to Dynamic IP Pools across the parent and subaccounts.

Endpoint: GET /v1/dynamic_pools/history
Version: 3.0.0
Security: basicAuth

## Query parameters:

  - `Limit` (integer)
    The maximum number of events to return

  - `include_subaccounts` (boolean)
    If true, includes events from all subaccounts in addition to events from the parent account

  - `domain` (string)
    Filter events by domain name

  - `before` (string)
    Filter events emitted before a given timestamp (Format: Mon, 02 Jan 2006 15:04:05 MST)

  - `after` (string)
    Filter events emitted after a given timestamp (Format: Mon, 02 Jan 2006 15:04:05 MST)

  - `moved_to` (string)
    Filter events by which Dynamic Pool a domain was moved to (ex. dynamic_good, dynamic_poor, etc.)

  - `moved_from` (string)
    Filter events by which Dynamic Pool a domain was moved from (ex. dynamic_good, dynamic_poor, etc.)

## Response 200 fields (application/json):

  - `items` (array, required)

  - `items.id` (string, required)

  - `items.owning_account_id` (string, required)

  - `items.account_id` (string, required)

  - `items.account_name` (string, required)

  - `items.domain_id` (string, required)

  - `items.domain_name` (string, required)

  - `items.new_band` (string, required)

  - `items.prev_band` (string, required)

  - `items.reason` (string, required)

  - `items.bounce_rate` (number,null, required)

  - `items.complaint_rate` (number,null)

  - `items.processed_count` (integer,null)

  - `items.initiated_by` (string)

  - `items.timestamp` (string, required)

  - `total_items` (integer, required)

  - `paging` (object, required)

  - `paging.Next` (string, required)

  - `paging.Previous` (string, required)

  - `paging.First` (string, required)

  - `paging.Last` (string, required)

## Response 400 fields (application/json):

  - `message` (string, required)
    Response message


